Subject: [Anima] comments on charter-ietf-anima-00-09

From: Laurent Ciavaglia <[email-masked]>
Date: Wed, 8 Oct 2014 15:04:04 +0200

Hi,

Two comments on :
"Definition of a discovery _protocol_ for autonomic _nodes_
  Definition of a negotiation _protocol_ for autonomic _functions_"

     1) the choice of the term "functionality" instead of "protocol" was 
used on purpose as to avoid choosing _a priori_ the (de)composition in 
protocol(s). i.e. one _a posteriori_ / informed decision will be how to 
"group" the different functionality in one or more protocols (or 
extension of existing ones).

     2) for consistency, we should use the same term either "nodes" or 
"functions". function was initially proposed to be most generic, and 
target a finer granularity (cf. section 2 of draft 
autonomic-network-definitions). alternative proposals could be use 
"functions/nodes", or "agents" (but this term is not defined in the 
charter).

Best regards, Laurent.